package org.tbasket


import zio._

import scala.io.StdIn
import scala.util.control.NonFatal

object Main {

    def main(args: Array[String]): Unit = {
        val endpoint = EndpointSetup.setupEndpoint()
        val runtime = Runtime.default
        Unsafe.unsafe { implicit u =>
            runtime.unsafe.run(endpoint.run).catchSome {
                case NonFatal(e) =>
                    e.printStackTrace()
                    throw e
            }
        }
        println("enter to exit")
        StdIn.readLine()
    }


}
