package org.tbasket.compute

import org.tbasket.api.APIException
import org.tbasket.api.compute.APIRequestHandler
import zio.ZIO
import zio.http.model.Method._
import zio.http.{Request, Response}
object IncrementHandler extends APIRequestHandler {

    private var i = 0


    override def handle: ZIO[Request, APIException, Response] = {r: Request =>
        r match {
            case Request(_, _, GET, _, _, _)  =>
                ZIO.succeed(Response.json(s"value: $i"))
            case Request(_, _, POST, _, _, _) =>
                i += 1
                ZIO.succeed(Response.ok)
                Console
        }
    }
}
